# Template Function cif::from_chars

- Defined in File text.hpp

## Function Documentation

template<typename FloatType, std::enable_if_t<std::is_floating_point_v<FloatType>, int> = 0>
std::from_chars_result cif::from_chars(const char *first, const char *last, FloatType &value)

  std::from_chars for floating point types.

  These are optional, there’s a selected_charconv class below that selects the best option to use based on support by the stl library.

  I.e. that in case of GNU < 12 (or something) the cif implementation will be used, all other cases will use the stl version.